package com.xhkjedu.slive.mapper.liveplay;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.slive.model.liveplay.LCourseSectionStudent;
import com.xhkjedu.slive.vo.liveplay.CSStudentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CourseSectionStudentMapper extends TkMapper<LCourseSectionStudent> {
    //添加
    void save(@Param("student") LCourseSectionStudent student);

    //课节学生列表
    List<CSStudentVo> listBySectionId(Integer sectionid);

    //更新最晚出课堂时间
    Integer updateById(@Param("student") LCourseSectionStudent student);

    //修改学生上课时长
    void updateTime(@Param("student") LCourseSectionStudent student);

    //学生进入课节记录
    LCourseSectionStudent getByStudent(@Param("student") LCourseSectionStudent student);
}